- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Functions
Separator

Separator is a very thin object used to separate other objects. More...

## Macros
#define | elm_obj_separator_horizontal_set(horizontal) ELM_OBJ_SEPARATOR_ID(ELM_OBJ_SEPARATOR_SUB_ID_HORIZONTAL_SET), EO_TYPECHECK(Eina_Bool, horizontal)
| Set the horizontal mode of a separator object. More...
#define | elm_obj_separator_horizontal_get(ret) ELM_OBJ_SEPARATOR_ID(ELM_OBJ_SEPARATOR_SUB_ID_HORIZONTAL_GET), EO_TYPECHECK(Eina_Bool *, ret)
| Get the horizontal mode of a separator object. More...

## Functions
Evas_Object * | elm_separator_add (Evas_Object *parent)
| Add a separator object to `parent`. More...
void | elm_separator_horizontal_set (Evas_Object *obj, Eina_Bool horizontal)
| Set the horizontal mode of a separator object. More...
Eina_Bool | elm_separator_horizontal_get (const Evas_Object *obj)
| Get the horizontal mode of a separator object. More...

## Detailed Description

Separator is a very thin object used to separate other objects.

A separator can be vertical or horizontal.

This widget inherits from the Layout one, so that all the functions acting on it also work for separator objects.

This widget emits the signals coming from Layout.

Separator example is a good example of how to use a separator.

## Macro Definition Documentation

#define elm_obj_separator_horizontal_get | ( |  | ret | ) | ELM_OBJ_SEPARATOR_ID(ELM_OBJ_SEPARATOR_SUB_ID_HORIZONTAL_GET), EO_TYPECHECK(Eina_Bool *, ret)

Get the horizontal mode of a separator object.

Since
  1.8

Parameters

  [out] | ret |

See Also
  elm_separator_horizontal_get

Referenced by elm_separator_horizontal_get().

#define elm_obj_separator_horizontal_set | ( |  | horizontal | ) | ELM_OBJ_SEPARATOR_ID(ELM_OBJ_SEPARATOR_SUB_ID_HORIZONTAL_SET), EO_TYPECHECK(Eina_Bool, horizontal)

Set the horizontal mode of a separator object.

Since
  1.8

Parameters

  [in] | horizontal |

See Also
  elm_separator_horizontal_set

Referenced by elm_separator_horizontal_set().

## Function Documentation

Evas_Object* elm_separator_add | ( | Evas_Object * | parent | ) |

Add a separator object to `parent`.

Parameters

  parent | The parent object

Returns
  The separator object, or NULL upon failure

Eina_Bool elm_separator_horizontal_get | ( | const Evas_Object * | obj | ) |

Get the horizontal mode of a separator object.

Parameters

  obj | The separator object

Returns
  If true, the separator is horizontal

See Also
  elm_separator_horizontal_set()

References elm_obj_separator_horizontal_get.

void elm_separator_horizontal_set | ( | Evas_Object * | obj,
|  | Eina_Bool | horizontal
| ) |  |

Set the horizontal mode of a separator object.

Parameters

  obj | The separator object
  horizontal | If true, the separator is horizontal

References elm_obj_separator_horizontal_set.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:14